Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class ParamLocationRecognizer.NamedParameterDescription

    java.lang.Object
      org.hibernate.engine.query.spi.ParamLocationRecognizer.NamedParameterDescription

Enclosing class:
  ParamLocationRecognizer

    public static class ParamLocationRecognizer.NamedParameterDescription

extends Object

Constructor Summary
`ParamLocationRecognizer.NamedParameterDescription(boolean jpaStyle)`

Method Summary
`int[]` | `buildPositionsArray()`
`boolean` | `isJpaStyle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamLocationRecognizer.NamedParameterDescription

    public ParamLocationRecognizer.NamedParameterDescription(boolean jpaStyle)

Method Detail

### isJpaStyle

    public boolean isJpaStyle()

### buildPositionsArray

    public int[] buildPositionsArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.